---
# tasks file for build_elk_stack - Elasticsearch

### Add logstash Repository
- name: Add Logstash Repository
  yum_repository:
    name: Logstash
    description: logstash Repository
    baseurl: https://artifacts.elastic.co/packages/6.x/yum
    gpgcheck: no
  tags: build_logstash

### Install Logstash
- name: Install Logstash
  yum:
    name: logstash
    state: latest
    update_cache: yes
  register: result
  tags: build_logstash

### Restart Logstash
- name: Restart Logstash
  service:
      name: logstash
      state: restarted
  tags: build_logstash
